#ifndef PAIR__H
#define PAIR__H

#include <types.h>
#include <containers/vec_.h>

typedef struct {
	void*	key;
	Vec	vals;
} Pair_;

Pair_* pair_New(size_t keysize, size_t valuesize, void* key);
void pair_Delete(Pair_* pair);
void pair_Construct(Pair_* pair, size_t keysize, size_t valuesize, void* key);
void pair_Destroy(Pair_* pair);

#endif	/* PAIR__H */

