#include <malloc.h>
#include <string.h>
#include <sys/region.h>
#include <node/mesh.h>

void init_Mesh( Mesh* self, StaticMesh const* static_mesh ) {
	self->opacity = 1.0f;
	self->layers = static_mesh->layers;
	self->num_layers = static_mesh->num_layers;
	self->materials = static_mesh->materials;
	self->textures = static_mesh->textures;
}

void destroy_Mesh( Mesh* self ) {
	if( self ) {}
}

void setOpacity_Mesh( Mesh* self, float opacity ) {
	self->opacity = opacity;
}

float getOpacity_Mesh( Mesh const* self ) {
	return self->opacity;
}
